List members
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/memberships/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/memberships/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/memberships/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"email": "supporter@fourthwall.com",
"nickname": "<string>",
"createdAt": "2020-08-13T09:05:36.939Z",
"subscription": {
"type": "ACTIVE",
"variant": {
"id": "<string>",
"tierId": "<string>",
"interval": "ANNUAL",
"amount": {
"value": 10,
"currency": "USD"
},
"offerId": "<string>"
}
}
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Memberships
List Members
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Lists all members for the current shop. The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
memberships
/
members
List members
OAuth scope:
memberships_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Number of elements per page. The maximum page size is 100 - larger values are capped at 100.